## GnomeHint

GnomeHint

## Synopsis

    #include <libgnomeui/gnome-hint.h>

                        GnomeHint;
    GtkWidget *         gnome_hint_new                      (const gchar *hintfile,
                                                             const gchar *title,
                                                             const gchar *background_image,
                                                             const gchar *logo_image,
                                                             const gchar *startupkey);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkWindow
                                           +----GtkDialog
                                                 +----GnomeHint

## Implemented Interfaces

GnomeHint implements GtkBuildable and AtkImplementorIface.

## Description

## Details

### GnomeHint

    typedef struct _GnomeHint GnomeHint;

### Warning

`GnomeHint` is deprecated and should not be used in newly-written code.

### gnome_hint_new ()

    GtkWidget *         gnome_hint_new                      (const gchar *hintfile,
                                                             const gchar *title,
                                                             const gchar *background_image,
                                                             const gchar *logo_image,
                                                             const gchar *startupkey);

### Warning

`gnome_hint_new` has been deprecated since version 2.18 and should not be used in newly-written code.

`hintfile` : |
`title` : |
`background_image` : |
`logo_image` : |
`startupkey` : |
Returns : |